import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface/';
import { OnMod } from './on-wpp';
export declare class Scraping extends OnMod {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    startScanQrcode: boolean;
    autoCloseInterval: any;
    autoCloseRemain: number;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    protected tryAutoClose(): void;
    cancelAutoClose(): void;
    protected startAutoClose(): void;
    qrCode(): Promise<{
        base64Image: string;
        urlCode: string | null;
    } | undefined>;
    asciiQr(code: string): Promise<string>;
}
