"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkingCloses = void 0;
/**
 * Function to check if the browser is closed and call the callback function
 * @param browser - Browser instance from puppeteer
 * @param callStatus - Callback function to call when the browser is closed
 */
async function checkingCloses(browser, callStatus) {
    browser.on('disconnected', () => callStatus(true));
}
exports.checkingCloses = checkingCloses;
//# sourceMappingURL=checking-closes.js.map