"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resizeImg = void 0;
const sharp_1 = __importDefault(require("sharp"));
async function resizeImg(buff, size) {
    const _ins = await (0, sharp_1.default)(buff, { failOnError: false })
        .resize({ width: size.width, height: size.height })
        .toBuffer(), _w = (0, sharp_1.default)(_ins, { failOnError: false }).jpeg(), _webb64 = (await _w.toBuffer()).toString('base64');
    return _webb64;
}
exports.resizeImg = resizeImg;
//# sourceMappingURL=resize-Img.js.map