"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnMode = void 0;
var OnMode;
(function (OnMode) {
    /**
     * receive which interface the user is on!
     */
    OnMode["interfaceChange"] = "interfaceChange";
    /**
     * monitor new messages
     */
    OnMode["newMessage"] = "newMessage";
    /**
     * receive QRCODE updates
     */
    OnMode["qrcode"] = "qrcode";
    /**
     * user connection information
     */
    OnMode["connection"] = "connection";
    /**
     * monitor the status of a message
     */
    OnMode["newOnAck"] = "newOnAck";
    /**
     * Receive new messages edited
     */
    OnMode["newEditMessage"] = "newEditMessage";
    /**
     * Receive new messages deleted
     */
    OnMode["newDeleteMessage"] = "newDeleteMessage";
    /**
     * Receive new messagens reactions emoji
     */
    OnMode["onReactionMessage"] = "onReactionMessage";
    /**
     * Receive new message intro reactions emoji (It is triggered upon entering the chat, loading all available emojis. It is also triggered when a new emoji is sent in any chat)
     */
    OnMode["onIntroReactionMessage"] = "onIntroReactionMessage";
})(OnMode = exports.OnMode || (exports.OnMode = {}));
//# sourceMappingURL=mode.enum.js.map