"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfig = void 0;
const help_1 = require("../../help");
exports.defaultConfig = {
    session: 'session',
    updatesLog: true,
    pathNameToken: 'token',
    mkdirFolderToken: '',
    puppeteerOptions: {
        headless: true,
        args: help_1.puppeteerConfig.chromiumArgs,
        executablePath: 'useChrome',
        ignoreHTTPSErrors: true,
        userDataDir: '',
        downloadChromium: true,
        chromiumVersion: '818858',
        devtools: false,
    },
    printQRInTerminal: true,
    timeAutoClose: 60000,
};
//# sourceMappingURL=config-api.js.map