"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const treatment_1 = __importDefault(require("../../../help/treatment"));
class InicializeGetUser {
    async getUserIdRouter(req, res) {
        const $_GET = req.params;
        const checkADM = await treatment_1.default.CheckAdminLogin(req);
        if (checkADM.error === false) {
            if (!!$_GET.id && $_GET.id.length) {
                const user = await treatment_1.default.dbUser.selectUserId($_GET.id);
                if (typeof user === 'object') {
                    res.send(user);
                }
                else {
                    res.send({
                        error: true,
                        text: 'User not found',
                    });
                }
            }
        }
        else {
            res.send(checkADM);
        }
    }
    async getAllUserRouter(req, res) {
        const checkADM = await treatment_1.default.CheckAdminLogin(req);
        if (checkADM.error === false) {
            const allUser = await treatment_1.default.dbUser.allUser();
            res.send({
                users: allUser,
            });
        }
        else {
            res.send(checkADM);
        }
    }
}
module.exports = new InicializeGetUser();
//# sourceMappingURL=get.js.map