"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const treatment_1 = __importDefault(require("../../../help/treatment"));
class InicializePostUser {
    async createUserRouter(req, res) {
        const body = req.body;
        const checkADM = await treatment_1.default.CheckAdminLogin(req);
        if (checkADM.error === false) {
            if (!!body.name &&
                body.name.length &&
                !!body.password &&
                body.password.length) {
                const insertUser = await treatment_1.default.dbUser.createUser(body.name, body.password);
                if (typeof insertUser === 'object') {
                    res.send({
                        error: false,
                        text: 'User successfully registered',
                        info: insertUser,
                    });
                }
                else {
                    res.send({
                        error: true,
                    });
                }
            }
            else {
                res.send({
                    error: true,
                    text: 'Object incorrect',
                });
            }
        }
        else {
            res.send(checkADM);
        }
    }
}
module.exports = new InicializePostUser();
//# sourceMappingURL=post.js.map