"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceWs = void 0;
const post_1 = require("../routers/webpack/post");
const get_1 = require("../routers/webpack/get");
const post_2 = __importDefault(require("../routers/admin/post"));
const get_2 = __importDefault(require("../routers/admin/get"));
const delete_1 = __importDefault(require("../routers/admin/delete"));
const put_1 = __importDefault(require("../routers/admin/put"));
class ServiceWs {
    constructor(app, option) {
        this.app = app;
        this.option = option;
        this.requireRouter();
    }
    requireRouter() {
        // User Routers
        (0, post_1.postRouters)(this.app, this.option);
        (0, get_1.getRouters)(this.app, this.option);
        // Admin Routers
        (0, post_2.default)(this.app);
        (0, get_2.default)(this.app);
        (0, delete_1.default)(this.app);
        (0, put_1.default)(this.app);
    }
}
exports.ServiceWs = ServiceWs;
//# sourceMappingURL=services-ws.js.map