/// <reference types="node" />
/// <reference types="node" />
import { Scraping } from './scraping.layes';
import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface';
export declare class Whatsapp extends Scraping {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    /**
     * Decrypts message file
     * @param message Message object
     * @returns Decrypted file buffer (null otherwise)
     */
    decryptFile(message: any): Promise<Buffer>;
}
