import { Page, Browser } from 'puppeteer';
import { SenderLayer } from '../api/layes';
import { CreateOptions } from '../model/interface';
export declare class WebPack extends SenderLayer {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: unknown;
    loadPageStatus: boolean;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: unknown);
    initService(): Promise<void>;
    private loadDebugModule;
    private checkStoreInitialization;
}
