"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRouters = void 0;
const inicialize_routers_1 = require("../functions/inicialize-routers");
const fs_1 = __importDefault(require("fs"));
const path = __importStar(require("path"));
const getRouters = (router, option) => {
    // Get all Contacts
    router.get('/get_all_contacts', async (req, res) => {
        await inicialize_routers_1.InicializeRouters.getAllContacts(req, res, option);
    });
    // Check if it's connected
    router.get('/check_connect/:name', async (req, res) => {
        await inicialize_routers_1.InicializeRouters.checkConnect(req, res, option);
    });
    //Get the last qrcode
    router.get('/last_qrcode', async (req, res) => {
        await inicialize_routers_1.InicializeRouters.lastQrcode(req, res, option);
    });
    // Get screenshot
    router.get('/screenshot', async (req, res) => {
        await inicialize_routers_1.InicializeRouters.screenshot(req, res, option);
    });
    // Load Files
    router.get('/files/:file', async (req, res) => {
        const getFile = req.params.file;
        if (!!getFile && getFile.length) {
            const file = path.join(process.cwd(), 'files', getFile);
            if (!fs_1.default.existsSync(file)) {
                return res.send({
                    error: true,
                    text: 'Not file',
                });
            }
            const readStream = fs_1.default.createReadStream(file);
            readStream.on('open', function () {
                readStream.pipe(res);
            });
            readStream.on('error', function (err) {
                console.log(err);
                res.end({
                    error: true,
                    text: 'Not file',
                });
            });
        }
        else {
            return res.send({
                error: true,
                text: 'Not file',
            });
        }
    });
};
exports.getRouters = getRouters;
//# sourceMappingURL=get.js.map